Subject: Bug#4134: sh can't handle perlrun trick

From: Rob Browning <[email-masked]>
Date: 13 Aug 1996 18:05:32 -0500

Package: bash
Version: 1.14.6-4

At first I thought I knew what was going on, but now I'm not so sure.
Basically the problem is that you can't use the trick from the perlrun
man page that allows you to execute a perl script in situations where
the #! line is not honored (for example an "at" script).  It depends
on having a line like this at the beginning of the script:

  #!/bin/sh -- # -*- perl -*- -p
  eval 'exec perl $0 -S ${1+"$@"}'
    if 0;
 
Unfortuantely this doesn't work.  You get an error from sh claiming
that - is a bad arg.

Perhaps I'm misunderstanding...
--
Rob